/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  'get-started': [
    'get-started/index',
    'get-started/tutorial/step-1-hello-world',
    'get-started/tutorial/step-2-adding-tests'
  ],
  modules: [{
    type: 'autogenerated',
    dirName: 'modules'
  }],
  about: [
    'about/contributing',
    'about/security'
  ]
};

module.exports = sidebars;
